import { ElementRef } from '@angular/core';
import type { OnDestroy, OnInit } from '@angular/core';
import { PopoverDirective } from 'ngx-bootstrap/popover';
import { TourAnchorDirective } from 'ngx-ui-tour-core';
import { INgxbStepOption as IStepOption } from './step-option.interface';
import { NgxbTourService } from './ngx-bootstrap-tour.service';
import { TourStepTemplateService } from './tour-step-template.service';
import * as i0 from "@angular/core";
export declare class TourAnchorNgxBootstrapPopoverDirective extends PopoverDirective {
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapPopoverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapPopoverDirective, "[tourAnchor]", never, {}, {}, never, never, true, never>;
}
export declare class TourAnchorNgxBootstrapDirective implements OnInit, OnDestroy, TourAnchorDirective {
    private tourService;
    private tourStepTemplate;
    element: ElementRef;
    private popoverDirective;
    tourAnchor: string;
    isActive: boolean;
    constructor(tourService: NgxbTourService, tourStepTemplate: TourStepTemplateService, element: ElementRef, popoverDirective: TourAnchorNgxBootstrapPopoverDirective);
    ngOnInit(): void;
    ngOnDestroy(): void;
    showTourStep(step: IStepOption): void;
    hideTourStep(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TourAnchorNgxBootstrapDirective, [null, null, null, { host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TourAnchorNgxBootstrapDirective, "[tourAnchor]", never, { "tourAnchor": { "alias": "tourAnchor"; "required": false; }; }, {}, never, never, true, never>;
}
